curl --location --request PUT 'https://dash.ryzehosting.com/api/v2//server/ddos/webhooks/update' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"uuid": "019b1fc5-83e5-81b1-9592-1537b03ad483",
"id": 1,
"name": "Neuer Name",
"url": "https://discord.com/api/webhooks/example",
"enabled": true,
"allowed_ips": [
"185.1.2.3"
]
}'{
"response": "Webhook updated successfully",
"state": "success",
"code": 200,
"data": {
"uuid": "019b1fc5-83e5-81b1-9592-1537b03ad483",
"ips": [
"185.1.2.3"
],
"attacks": [
{
"attack_id": 123,
"ip": "185.1.2.3",
"started_at": "2026-06-08T10:00:00+02:00",
"ended_at": null,
"maximum_peak": "1.2 Gbps",
"raw_maximum_peak": 1200000000,
"types": [
"UDP"
],
"ongoing": true
}
],
"webhooks": [
{
"id": 1,
"name": "Mein Webhook",
"url": "https://discord.com/api/webhooks/example",
"enabled": true,
"allowed_ips": [
"185.1.2.3"
]
}
],
"attacks_period_days": 30,
"attacks_period_mode": "last_30_days",
"attacks_since_date": "2026-05-09T00:00:00+02:00",
"can_manage_webhooks": true
}
}